%define upstream_name    Config-AutoConf
%define upstream_version 0.313

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module to implement some of AutoConf macros in pure perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-Config-AutoConf < 0.311.0-2

%description
detect_library_link_commands

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.313.0-2.mga6
+ Revision: 1024284
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.313.0-1.mga6
+ Revision: 1001712
- update to 0.313

* Fri Feb 19 2016 umeabot <umeabot> 0.311.0-3.mga6
+ Revision: 970237
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 0.311.0-2.mga6
+ Revision: 885365
- Convert to noarch package

* Tue Jun 30 2015 sander85 <sander85> 0.311.0-1.mga6
+ Revision: 848859
- update to 0.311

* Wed Oct 15 2014 umeabot <umeabot> 0.305.0-3.mga5
+ Revision: 741409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.305.0-2.mga5
+ Revision: 683974
- Mageia 5 Mass Rebuild

* Fri Jun 13 2014 sander85 <sander85> 0.305.0-1.mga5
+ Revision: 635955
- update to 0.305

* Wed Jun 04 2014 sander85 <sander85> 0.304.0-1.mga5
+ Revision: 632949
- update to 0.304

* Fri May 30 2014 sander85 <sander85> 0.303.0-1.mga5
+ Revision: 627909
- update to 0.303

* Tue May 27 2014 sander85 <sander85> 0.302.0-1.mga5
+ Revision: 627054
- update to 0.302

* Tue May 27 2014 sander85 <sander85> 0.301.0-1.mga5
+ Revision: 626966
- update to 0.301

* Tue May 20 2014 sander85 <sander85> 0.300.0-1.mga5
+ Revision: 624527
- update to 0.300

* Tue May 20 2014 jquelin <jquelin> 0.290.0-1.mga5
+ Revision: 624189
- update to 0.29

* Tue May 06 2014 jquelin <jquelin> 0.270.0-1.mga5
+ Revision: 620486
- update to 0.27

* Tue Apr 15 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 614657
- update to 0.25

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 510210
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 364604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 341967
- update to 0.22

* Wed Nov 14 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 317618
- update to 0.20

* Thu Feb 23 2012 jquelin <jquelin> 0.190.0-1.mga2
+ Revision: 212732
- update to 0.19

* Thu Jan 05 2012 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 191319
- package is arch-dependant
- update to 0.17

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 28420
- mageia rebuild
- imported package perl-Config-AutoConf

